import request from '@/utils/request'

// 查询轮胎基础信息列表
export function listBaseCar(query) {
    return request({
        url: '/basecar/car/list',
        method: 'get',
        params: query
    })
}

// 查询轮胎基础信息详细
export function getBaseCar(id) {
    return request({
        url: '/basecar/car/' + id,
        method: 'get'
    })
}

// 新增轮胎基础信息
export function addBaseCar(data) {
    return request({
        url: '/basecar/car',
        method: 'post',
        data: data
    })
}

// 修改轮胎基础信息
export function updateBaseCar(data) {
    return request({
        url: '/basecar/car',
        method: 'put',
        data: data
    })
}

// 删除轮胎基础信息
export function delBaseCar(id) {
    return request({
        url: '/basecar/car/' + id,
        method: 'delete'
    })
}

/** 获取车队、车型 */
export function getCarQueueList() {
    return request({
        url: '/basecar/car/getCarQueueAndType',
        method: 'get'
    })
}

// 获取接收器
export function getBindList(data) {
    return request({
        url: '/basecar/car/getDeviceList',
        method: 'post',
        data
    })
}